# eric6.Plugins.VcsPlugins.vcsGit.GitDescribeDialog

Module implementing a dialog to show the results of the git describe action.

### Global Attributes

None

### Classes

GitDescribeDialog | Class implementing a dialog to show the results of the git describe action.

### Functions

None

## GitDescribeDialog

Class implementing a dialog to show the results of the git describe action.

### Derived from

QDialog, Ui_GitDescribeDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitDescribeDialog | Constructor
__finish | Private slot called when the process finished or the user pressed the button.
__procFinished | Private slot connected to the finished signal.
__readStderr | Private slot to handle the readyReadStderr signal.
__readStdout | Private slot to handle the readyReadStdout signal.
__resizeColumns | Private method to resize the list columns.
__resort | Private method to resort the tree.
closeEvent | Protected slot implementing a close event handler.
keyPressEvent | Protected slot to handle a key press event.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_input_returnPressed | Private slot to handle the press of the return key in the input field.
on_passwordCheckBox_toggled | Private slot to handle the password checkbox toggled.
on_sendButton_clicked | Private slot to send the input to the git process.
start | Public slot to start the tag/branch list command.

### Static Methods

None

#### GitDescribeDialog (Constructor)

GitDescribeDialog(vcs, parent=None)

Constructor

vcs
  reference to the vcs object
parent
  reference to the parent widget (QWidget)

#### GitDescribeDialog.__finish

__finish()

Private slot called when the process finished or the user pressed the button.

#### GitDescribeDialog.__procFinished

__procFinished(exitCode, exitStatus)

Private slot connected to the finished signal.

exitCode
  exit code of the process (integer)
exitStatus
  exit status of the process (QProcess.ExitStatus)

#### GitDescribeDialog.__readStderr

__readStderr()

Private slot to handle the readyReadStderr signal.

It reads the error output of the process and inserts it into the error pane.

#### GitDescribeDialog.__readStdout

__readStdout()

Private slot to handle the readyReadStdout signal.

It reads the output of the process, formats it and inserts it into the contents pane.

#### GitDescribeDialog.__resizeColumns

__resizeColumns()

Private method to resize the list columns.

#### GitDescribeDialog.__resort

__resort()

Private method to resort the tree.

#### GitDescribeDialog.closeEvent

closeEvent(e)

Protected slot implementing a close event handler.

e
  close event (QCloseEvent)

#### GitDescribeDialog.keyPressEvent

keyPressEvent(evt)

Protected slot to handle a key press event.

evt
  the key press event (QKeyEvent)

#### GitDescribeDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### GitDescribeDialog.on_input_returnPressed

on_input_returnPressed()

Private slot to handle the press of the return key in the input field.

#### GitDescribeDialog.on_passwordCheckBox_toggled

on_passwordCheckBox_toggled(isOn)

Private slot to handle the password checkbox toggled.

isOn
  flag indicating the status of the check box (boolean)

#### GitDescribeDialog.on_sendButton_clicked

on_sendButton_clicked()

Private slot to send the input to the git process.

#### GitDescribeDialog.start

start(path, commits)

Public slot to start the tag/branch list command.

path
  name of directory to be listed (string)
commits
  list of commits to be described (list of string)

Up